summaryrefslogtreecommitdiff
path: root/Biz/Ide/run.bash
diff options
context:
space:
mode:
Diffstat (limited to 'Biz/Ide/run.bash')
-rwxr-xr-xBiz/Ide/run.bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/Biz/Ide/run.bash b/Biz/Ide/run.bash
new file mode 100755
index 0000000..f7b9d36
--- /dev/null
+++ b/Biz/Ide/run.bash
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -eu
+target=$1
+shift
+out=$(rg --only-matching ": out (\w*)" -r '$1' $target)
+exec "${CODEROOT:?}/_/bin/$out" "$@"